//
//  BufferedWriter.h
//  BufferedWriter interface definition
//
//  $Id: BufferedWriter.h,v 1.1 2006/03/22 07:12:51 rh Exp $
//
//  Created by Rene Hexel on 22/03/06.
//  Copyright 2006 Rene Hexel. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface BufferedWriter: NSObject
{
	NSFileHandle *file;
	int fd;						// file descriptor
}

+ (BufferedWriter *) bufferedWriterWithStandardOutput;	// convenience method

- initWithFile: (NSString *) fileName;			// init with given file
- (BufferedWriter *) initWithStandardOutput;		// init with stdout

- (void) writeString: (NSString *) str;			// write a string
- (void) writeLine: (NSString *) line;			// write string + \n

- (void) closeFile;					// close file
- (void) dealloc;
@end
